package de.fraunhofer.iem.dataprovider.kpi.repository

import de.fraunhofer.iem.dataprovider.kpi.entity.KPIEntity
import org.springframework.data.jpa.repository.JpaRepository
import java.util.*

interface KPIRepository : JpaRepository<KPIEntity, UUID> {
    fun findByRepository_Id(id: UUID): List<KPIEntity>

    fun findFirstByRepository_IdAndIsRootTrue(id: UUID): Optional<KPIEntity>
}
