#!/bin/sh

PROJECT_DIRECTORY=${1}
OUTPUT_DIRECTORY=${2}
echo Analyzer started
echo Input directory: "${PROJECT_DIRECTORY}" Output directory: "${OUTPUT_DIRECTORY}"

script_dir="$(dirname "$0")"

docker run --rm \
-v "${script_dir}":/config \
-v "${PROJECT_DIRECTORY}":/project \
-v "${OUTPUT_DIRECTORY}":/result \
ort --info --config /config/config.yml analyze -i /project --output-dir /result -f JSON

exit 0