package de.fraunhofer.iem.dataprovider.taskManager.tasks.tools.occmd.enumeration

enum class Checks(val checkName: String) {
    SastUsageBasic("SastUsageBasic"), Secrets("Secrets"), CheckedInBinaries("CheckedInBinaries");

    companion object {
        fun fromString(value: String): Checks? {
            return Checks.entries.find { it.checkName.equals(value, ignoreCase = true) }
        }
    }
}
