package de.fraunhofer.iem.dataprovider.taskManager.tasks.tools.occmd.json.raw


import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable
import kotlinx.serialization.json.JsonObject

/**
 * The result of an occmd check performed on an OpenCodDE project.
 */
@Serializable
data class RawResultJson(
    @SerialName("check")
    val check: String,
    @SerialName("id")
    val id: Int,
    @SerialName("results")
    val results: JsonObject,
    @SerialName("score")
    val score: Double
)